@import 'vars';
.mynaPage {
  background: #201747;
}
.upperContainer {
  position: relative;
  width: 318px;
  height: 265px;
  margin: 78px auto 30px;
  z-index: 0;

  @media (min-width: 768px) {
    margin: 45px 0 53px;
    width: 438px;
    height: 438px;
  }
}

.lowerContainer {
  display: flex;
  flex-direction: column;
  width: 318px;
  height: auto;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  box-shadow: 0px 0px 50px rgba(255, 255, 255, 0.15);
  border-radius: 15px;
  border: 3px solid #ffcd00;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  @media (min-width: 768px) {
    width: 538px;
    padding: 0 51px 26px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}
.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 50px;
  border-radius: 15px;
  border: 0;
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: #c0bebe;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    padding: 0 0 0 28px;
  }
}
.relativeWrapper {
  position: relative;
  width: 100%;
  margin-top: 20px;
}

.buttonWrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin-top: 28px;
  @media (min-width: 768px) {
    margin-top: 38px;
  }
}
.button {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 18px;
  line-height: 21.94px;
  letter-spacing: 2%;
  color: white;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0 0 10px 0;
  background-color: #00b218;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  text-transform: uppercase;

  width: 100%;
  height: 50px;
  padding: 0 17px;
  border-radius: 15px;
  // margin: 0 30px 30px 30px;

  &:disabled {
    background: rgba(0, 179, 24, 0.5) !important;
    // box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
    cursor: not-allowed;
  }
  @media (min-width: 768px) {
    width: 100%;
    min-width: 347.81px;
    height: 65px;
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 12px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 41px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
.slider {
  width: 100%;
  margin-top: 22px;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    margin-top: 15px;
  }
}
.sliderInfo {
  margin: 0;
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 10px;
  padding: 0;
  color: rgba(255, 255, 255, 0.5);
  font-style: italic;
}
.withdrawals {
  position: relative;
  margin: 19px 0 0;
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  color: #ffffff;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-bottom: 0;
  }
}

.indicatorContainer {
  position: absolute;
  padding-top: 30px;
  right: -32px;
  display: none;

  div {
    width: 19.2px;
    height: 19.2px;
    border-radius: 100%;
    margin-bottom: 28px;
  }
  @media (min-width: 768px) {
    display: block;
    right: -78px;
    width: 29.85px;
    height: 29.85px;
    padding-top: 44px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
    }
  }
  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}
.container {
  // margin: 0 auto;
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 0 auto;
  }
  .description {
    width: 45%;
    margin-right: 10%;
    .title {
      margin-top: 0;
    }
    .paragraph {
      display: flex;
      flex-direction: column;
      font-size: 24px;
      font-weight: 300;
      .mintText {
        color: #04dfc7;
        font-weight: bolder;
      }
    }
  }
  .details {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px 20px 57px;

    // background: white;
    // box-shadow: 10px 10px #1f6fe5;

    .row {
      padding-bottom: 30px;
      display: flex;
      flex-direction: column;
      .rowTitle {
        color: #1f6fe5;
        font-weight: bold;
        font-size: 20px;
        margin-bottom: 10px;
      }
      .rowValue {
        color: black;
        font-weight: 500;
        font-size: 22px;
      }
    }

    @media (min-width: 768px) {
      width: 55%;
      padding: 0 0 0 0;
    }
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
}
.connect {
  width: 100%;
  button {
    font-family: Montserrat, sans-serif;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 2%;
    white-space: nowrap;
    color: white;
    border: 0;
    text-transform: uppercase;
    background: #00b318;
    box-shadow: 0 0 80px rgba(27, 204, 50, 0.5);
    border-radius: 15px;
    width: 100%;
    height: 50px;
    margin-bottom: 18px;
    @media (min-width: 768px) {
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}
.loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 99;
  opacity: 0.9;
}
.specialMessage {
  margin-top: 14px;
  color: gold;
  text-align: center;
}

.actionButton {
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  /* identical to box height */
  display: flex;
  width: 100%;
  height: 50px;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #FFCD00;
  box-shadow: 0 0 80px rgba(27, 204, 50, 0.5);
  border-radius: 15px;

    @media (min-width: 768px) {
      width: 100%;
      min-width: 347.81px;
      height: 65px;
    }
}